https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/locations/{ascLocation}/tasksRecommended tasks that will help improve the security of the subscription proactively
Azure subscription ID
The location where ASC stores the data of the subscription. can be retrieved from Get locations
API version for the operation
OData filter. Optional.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/locations/{ascLocation}/tasks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/locations/{ascLocation}/tasksRecommended tasks that will help improve the security of the subscription proactively
Azure subscription ID
The location where ASC stores the data of the subscription. can be retrieved from Get locations
API version for the operation
OData filter. Optional.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/locations/{ascLocation}/tasks' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}